cancel
Showing results for 
Search instead for 
Did you mean: 

Eclipse error

Former Member
0 Kudos

I am getting the next error in EP60 sp2 when i´m trying to export a .par file in eclipse 2.1 and tomcat 3.2.2,

anybody knows what is happening?

Read license from lockserver: HWKEY=V2030138976 LIC=0

Feb 3, 2005 12:54:45 PM # TP-Processor25 Fatal param PORTAL_USER

missing in request. METHOD: DefaultHandler.doLogin #

Feb 3, 2005 12:54:45 PM # TP-Processor25 Fatal Iteration through

logonHandlers failed. METHOD: login #

Feb 3, 2005 12:54:45 PM # TP-Processor25 Fatal Exception occured

for authentication handler web-server

com.sapportals.portal.security.usermanagement.UserManagementException: No remote

_user received. Stopping authentication process.

at com.sapportals.portal.security.usermanagement.PortalLoginHandler$Trus

tedLoginHandler.(UMFact

ory.java:90)

at com.sapportals.portal.security.usermanagement.UMFactory.getInstance(U

MFactory.java:60)

at com.sapportals.portal.security.usermanagement.UMFactory.init(UMFactor

y.java:193)

at com.sapportals.portal.prt.service.usermanagement.UserManagementServic

e.initialize(UserManagementService.java:427)

at com.sapportals.portal.prt.service.usermanagement.UserManagementServic

e.afterInit(UserManagementService.java:110)

at com.sapportals.portal.prt.core.broker.PortalServiceItem.initInstance(

PortalServiceItem.java:555)

at com.sapportals.portal.prt.core.broker.PortalServiceItem.createService

Thanks.

Accepted Solutions (1)

Accepted Solutions (1)

Former Member
0 Kudos

ok, in that case,

for a local enviroment with ep6.0 sp2,

what is the web server do you suggest to develop iviews? eclipse, netweaver, no local developing?.

Thanks.

detlev_beutner
Active Contributor
0 Kudos

Hi Juliu00E1n,

everything already answered in the other thread:

"Now the PDK for EP6 is content within the portal, so for a local runtime environment you need to have a local portal installation (with PDK deployed)."

"NetWeaver is the common platform for the "new" SAP software, for J2EE server / Enterprise Portal this is from 6.30/6.40 / EP6 SP3 on. So this does not fit your needs."

"Eclipse is the best or best supported IDE for EP6 SP2. You will need different plugins, depending on what you want to do (iViews, KM services...). You will find all plugins when you have PDK for EP6 SP2 installed within an EP6 SP2 installation under \usr\sap\[...]\j2ee\j2ee_[...]\cluster\server\services\servlet_jsp\work\jspTemp\irj\root\portalapps\com.sap.portal.pdk.util.developmenttools\eclipse

There is no need and no sense for an extra web server; as said in my first posting: "for a local runtime environment you need to have a local portal installation (with PDK deployed).""

"> not posbible to have a local Portal installed

> so i have installed pdk6.0 in the remote portal

> that iu00B4m working with.

OK, that's the second case I described above: "On the other hand, just for having the portal libs at hand, just copy them from .../irj/root/WEB-INF/... so you can set them into the build path of an eclipse project.""

Best regards

Detlev

Oliver_S
Product and Topic Expert
Product and Topic Expert
0 Kudos

Thx, Detlev,

a nice summary.

Answers (2)

Answers (2)

Former Member
0 Kudos

thank you very much Detlev.

I´m not working at 100% in the proyect and i have a lot of lapsus.

Best regards, julian.

Oliver_S
Product and Topic Expert
Product and Topic Expert
0 Kudos

EP60 SP2 and tomcat 3.2.2 ??

can u explain this in furtehr detail.

This is not a supported configuration

tomcat is restricted to EP 50.

detlev_beutner
Active Contributor
0 Kudos

Hi Oliver,

we both tried to explain this only one week ago. He seems to be somewhat resistant against gaining knowledge

Hi Julián, why are you doing this again and again?

Best regards

Detlev